package de.avatic.taricdb.helper.workbook.wrapper;

import java.time.LocalDate;

public class DeclarableCodesWrapper {
	
	private String hsCode;
	private String suffix;
	private Boolean isLeaf;
	private LocalDate declStartDate;

	public DeclarableCodesWrapper(String hsCode, String suffix, LocalDate declStartDate, Boolean isLeaf) {
		this.hsCode = hsCode;
		this.suffix = suffix;
		this.declStartDate = declStartDate;
		this.isLeaf = isLeaf;
	}

	public String getHsCode() {
		return hsCode;
	}

	public void setHsCode(String hsCode) {
		this.hsCode = hsCode;
	}

	public String getSuffix() {
		return suffix;
	}

	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}

	public Boolean getIsLeaf() {
		return isLeaf;
	}

	public void setIsLeaf(Boolean isLeaf) {
		this.isLeaf = isLeaf;
	}

	public LocalDate getDeclStartDate() {
		return declStartDate;
	}

	public void setDeclStartDate(LocalDate declStartDate) {
		this.declStartDate = declStartDate;
	}
	
	

}
